#include "minder.h"			/* Use minder defns */
#include "comnd.h"			/* COMND defs */
#include "setjmp.h"			/* setjmp/longjmp defs */

/* Data module for minder program */


/* Simple variables, buffers, and arrays: */

int		Curdat = {0};		/* Current date for pre 3.0 systems */
int		Curtim = {0};		/* Current time */
int		Chgflg = {FALSE};	/* Marks changes made */
int		Osdate = {TRUE};	/* Does OS yield dates? */
int		Evtcnt = {0};		/* Number of events */
EVT		*Evthdr = {NULL};	/* This heads the EVT list */
BYTE		Topabf[_CMLMAX] = {NUL}; /* Top-level atom buffer */
BYTE		Topbuf[_CMLMAX] = {NUL}; /* Top-level command buffer */
jmp_buf		Topenv = {NULL};	/* Top-level setjmp buffer */
BYTE		Tmpabf[_CMLMAX] = {NUL}; /* Temporary atom buffer */
BYTE		Tmpbuf[_CMLMAX] = {NUL}; /* Temporary command buffer */
jmp_buf		Tmpenv = {NULL};	/* Temporary setjmp buffer */
char		*Usrnam = {NULL};	/* Address of username */


/* COMND blocks */


CSB		Topcsb = {0,0,&Topenv,0,0,"MINDER> ",
			&Topbuf, 100, &Topabf, _CMLMAX, 0, 0};

CSB		Tmpcsb = {0,0,&Tmpenv,0,0,"MINDER> ",
			&Tmpbuf, 100, &Tmpabf, _CMLMAX, 0, 0};

CFB		Inicfb = {_CMINI, 0, 0, 0, 0, 0};

